View Issue Details

IDProjectCategoryView StatusLast Update
0005109Talerdeployment and operationspublic2017-10-18 15:42
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.4Fixed in Version0.4 
Summary0005109: Need same merchant key regardless of the color
DescriptionThe current deployment scheme gives each color (blue/green) a different merchant instance private key.

That makes the db look different when the color is switched, because a lot of db methods take the instance key among their parameters.

Take this problem example:

test-green blog sells article X, then article X shows up in backoffice sold items.
Let's then switch to test-blue; article X then does NOT show up in backoffice sold items, because the db method will try to find article X against test-blue's public key,
which fails.

So deployment scripts should make sure all colors have the same key.
TagsNo tags attached.

Relationships

related to 0005054 closedMarcello Stanisci 'contract_terms not found' for transaction which correctly went through 

Activities

Marcello Stanisci

2017-07-18 10:40

manager   ~0012342

taler-auditor-sign does not pick [auditordb-postgres]/db_conn_str from custom .config/taler.conf

Marcello Stanisci

2017-07-18 11:47

manager   ~0012343

problem was that taler-auditor-sign doesn't check if -c option has been given or not, and calls GNUNET_CONFIGURATION_load with cfgfile == (null).

temporarily fixed by passing "-c .config/taler.conf" to deployment script.

Marcello Stanisci

2017-07-18 11:48

manager   ~0012344

Last edited: 2017-07-18 12:01

View 3 revisions

shared-data directory needs (persistent) write permission for group 'test'

UPDATE: well, not a real issue, as it sufficies to manually set permission when shared-data directory is created.

Marcello Stanisci

2017-07-19 11:44

manager   ~0012349

73f1be4 @ deployment closes this.

Issue History

Date Modified Username Field Change
2017-07-16 13:08 Marcello Stanisci New Issue
2017-07-16 13:09 Marcello Stanisci Summary Same merchant key regardless of the color => Need same merchant key regardless of the color
2017-07-16 13:10 Marcello Stanisci Description Updated View Revisions
2017-07-18 10:40 Marcello Stanisci Note Added: 0012342
2017-07-18 11:45 Marcello Stanisci Assigned To => Marcello Stanisci
2017-07-18 11:45 Marcello Stanisci Status new => assigned
2017-07-18 11:47 Marcello Stanisci Note Added: 0012343
2017-07-18 11:48 Marcello Stanisci Note Added: 0012344
2017-07-18 11:52 Marcello Stanisci Note Edited: 0012344 View Revisions
2017-07-18 12:01 Marcello Stanisci Note Edited: 0012344 View Revisions
2017-07-18 12:30 Marcello Stanisci Priority normal => high
2017-07-19 09:35 Marcello Stanisci Relationship added related to 0005054
2017-07-19 11:44 Marcello Stanisci Note Added: 0012349
2017-07-19 21:46 Marcello Stanisci Status assigned => resolved
2017-07-19 21:46 Marcello Stanisci Resolution open => fixed
2017-07-20 09:23 Christian Grothoff Product Version => SVN HEAD
2017-07-20 09:23 Christian Grothoff Fixed in Version => 0.4
2017-07-20 09:23 Christian Grothoff Target Version => 0.4
2017-10-18 15:42 Christian Grothoff Status resolved => closed